• Русский
  • DataDownload [velero.io/v2alpha1]

    Description
    DataDownload acts as the protocol between data mover plugins and data mover controller for the datamover restore operation
    Type
    object

    Specification

    PropertyTypeDescription
    apiVersionstring

    APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#resources

    kindstring

    Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#types-kinds

    metadataObjectMeta

    ObjectMeta is metadata that all persisted resources must have, which includes all objects users must create.

    specobject

    DataDownloadSpec is the specification for a DataDownload.

    statusobject

    DataDownloadStatus is the current status of a DataDownload.

    .spec

    Description
    DataDownloadSpec is the specification for a DataDownload.
    Type
    object
    Required
    backupStorageLocationoperationTimeoutsnapshotIDsourceNamespacetargetVolume
    PropertyTypeDescription
    backupStorageLocationstring

    BackupStorageLocation is the name of the backup storage location where the backup repository is stored.

    cancelboolean

    Cancel indicates request to cancel the ongoing DataDownload. It can be set when the DataDownload is in InProgress phase

    dataMoverConfigobject

    DataMoverConfig is for data-mover-specific configuration fields.

    datamoverstring

    DataMover specifies the data mover to be used by the backup. If DataMover is "" or "velero", the built-in data mover will be used.

    operationTimeoutstring

    OperationTimeout specifies the time used to wait internal operations, before returning error as timeout.

    snapshotIDstring

    SnapshotID is the ID of the Velero backup snapshot to be restored from.

    sourceNamespacestring

    SourceNamespace is the original namespace where the volume is backed up from. It may be different from SourcePVC's namespace if namespace is remapped during restore.

    targetVolumeobject

    TargetVolume is the information of the target PVC and PV.

    .spec.dataMoverConfig

    Description
    DataMoverConfig is for data-mover-specific configuration fields.
    Type
    object

    .spec.targetVolume

    Description
    TargetVolume is the information of the target PVC and PV.
    Type
    object
    Required
    namespacepvpvc
    PropertyTypeDescription
    namespacestring

    Namespace is the target namespace

    pvstring

    PV is the name of the target PV that is created by Velero restore

    pvcstring

    PVC is the name of the target PVC that is created by Velero restore

    .status

    Description
    DataDownloadStatus is the current status of a DataDownload.
    Type
    object
    PropertyTypeDescription
    completionTimestampstring

    CompletionTimestamp records the time a restore was completed. Completion time is recorded even on failed restores. The server's time is used for CompletionTimestamps

    messagestring

    Message is a message about the DataDownload's status.

    nodestring

    Node is name of the node where the DataDownload is processed.

    phasestring

    Phase is the current state of the DataDownload.

    progressobject

    Progress holds the total number of bytes of the snapshot and the current number of restored bytes. This can be used to display progress information about the restore operation.

    startTimestampstring

    StartTimestamp records the time a restore was started. The server's time is used for StartTimestamps

    .status.progress

    Description
    Progress holds the total number of bytes of the snapshot and the current number of restored bytes. This can be used to display progress information about the restore operation.
    Type
    object
    PropertyTypeDescription
    bytesDoneinteger
    totalBytesinteger

    API Endpoints

    The following API endpoints are available:

    • /apis/velero.io/v2alpha1/namespaces/{namespace}/datadownloads
      • DELETE: delete collection of DataDownload
      • GET: list objects of kind DataDownload
      • POST: create a new DataDownload
    • /apis/velero.io/v2alpha1/namespaces/{namespace}/datadownloads/{name}
      • DELETE: delete the specified DataDownload
      • GET: read the specified DataDownload
      • PATCH: partially update the specified DataDownload
      • PUT: replace the specified DataDownload
    • /apis/velero.io/v2alpha1/namespaces/{namespace}/datadownloads/{name}/status
      • GET: read status of the specified DataDownload
      • PATCH: partially update status of the specified DataDownload
      • PUT: replace status of the specified DataDownload

    /apis/velero.io/v2alpha1/namespaces/{namespace}/datadownloads

    HTTP method
    DELETE
    Description
    delete collection of DataDownload
    HTTP responses
    HTTP codeResponse body
    200 - OKStatus schema
    401 - UnauthorizedEmpty
    HTTP method
    GET
    Description
    list objects of kind DataDownload
    HTTP responses
    HTTP codeResponse body
    200 - OKDataDownloadList schema
    401 - UnauthorizedEmpty
    HTTP method
    POST
    Description
    create a new DataDownload
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    Body parameters
    ParameterTypeDescription
    bodyDataDownload schemaapplication/json formatted
    HTTP responses
    HTTP codeResponse body
    200 - OKDataDownload schema
    201 - CreatedDataDownload schema
    202 - AcceptedDataDownload schema
    401 - UnauthorizedEmpty

    /apis/velero.io/v2alpha1/namespaces/{namespace}/datadownloads/{name}

    HTTP method
    DELETE
    Description
    delete the specified DataDownload
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    HTTP responses
    HTTP codeResponse body
    200 - OKStatus schema
    202 - AcceptedStatus schema
    401 - UnauthorizedEmpty
    HTTP method
    GET
    Description
    read the specified DataDownload
    HTTP responses
    HTTP codeResponse body
    200 - OKDataDownload schema
    401 - UnauthorizedEmpty
    HTTP method
    PATCH
    Description
    partially update the specified DataDownload
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    HTTP responses
    HTTP codeResponse body
    200 - OKDataDownload schema
    401 - UnauthorizedEmpty
    HTTP method
    PUT
    Description
    replace the specified DataDownload
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    Body parameters
    ParameterTypeDescription
    bodyDataDownload schemaapplication/json formatted
    HTTP responses
    HTTP codeResponse body
    200 - OKDataDownload schema
    201 - CreatedDataDownload schema
    401 - UnauthorizedEmpty

    /apis/velero.io/v2alpha1/namespaces/{namespace}/datadownloads/{name}/status

    HTTP method
    GET
    Description
    read status of the specified DataDownload
    HTTP responses
    HTTP codeResponse body
    200 - OKDataDownload schema
    401 - UnauthorizedEmpty
    HTTP method
    PATCH
    Description
    partially update status of the specified DataDownload
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    HTTP responses
    HTTP codeResponse body
    200 - OKDataDownload schema
    401 - UnauthorizedEmpty
    HTTP method
    PUT
    Description
    replace status of the specified DataDownload
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    Body parameters
    ParameterTypeDescription
    bodyDataDownload schemaapplication/json formatted
    HTTP responses
    HTTP codeResponse body
    200 - OKDataDownload schema
    201 - CreatedDataDownload schema
    401 - UnauthorizedEmpty